Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_WString_Manager Class Reference

Manager for wide strings. More...

`#include <Managed_Types.h>`

List of all members.

## Public Member Functions
| TAO_WString_Manager (void)
| default CTOR will initialize the underlying ptr_ to empty string.
| TAO_WString_Manager (const TAO_WString_Manager &)
| copy constructor
| TAO_WString_Manager (const CORBA::WChar *)
| constructor from const whar* makes a copy.
| ~TAO_WString_Manager (void)
| destructor
TAO_WString_Manager & | operator= (const TAO_WString_Manager &)
| assignment from another managed type
TAO_WString_Manager & | operator= (const CORBA::WString_var &)
| assignment from var type will make a copy
TAO_WString_Manager & | operator= (const CORBA::WChar *)
| assignment from a constant wchar* will make a copy
TAO_WString_Manager & | operator= (CORBA::WChar *)
| operator const CORBA::WChar * () const
| cast (read-only)
const CORBA::WChar * | in (void) const
| for in parameter.
CORBA::WChar *& | inout (void)
| for inout parameter.
CORBA::WChar *& | out (void)
| for out parameter.
CORBA::WChar * | _retn (void)
| for string of return type.
## Private Attributes
CORBA::WChar * | ptr_
| The underlying wide string.

## Detailed Description

Manager for wide strings.

This class implements the generic wstring manager and is used in the C++ mapping of "struct" members that are of type "wstring". The difference between this class and the CORBA::WString_var class is that the default constructor initializes the underlying wstring to an empty string in this class whereas it is a NUL wstring for the _var class.

## Constructor & Destructor Documentation

ACE_INLINE TAO_WString_Manager::TAO_WString_Manager | ( | void |  | ) |

| default CTOR will initialize the underlying ptr_ to empty string.

ACE_INLINE TAO_WString_Manager::TAO_WString_Manager | ( | const TAO_WString_Manager & |  | ) |

| copy constructor

ACE_INLINE TAO_WString_Manager::TAO_WString_Manager | ( | const CORBA::WChar * |  | ) |

| constructor from const whar* makes a copy.

ACE_INLINE TAO_WString_Manager::~TAO_WString_Manager | ( | void |  | ) |

| destructor

## Member Function Documentation

ACE_INLINE CORBA::WChar * TAO_WString_Manager::_retn | ( | void |  | ) |

| for string of return type.

ACE_INLINE const CORBA::WChar * TAO_WString_Manager::in | ( | void |  | ) | const

| for in parameter.

ACE_INLINE CORBA::WChar *& TAO_WString_Manager::inout | ( | void |  | ) |

| for inout parameter.

ACE_INLINE TAO_WString_Manager::operator const CORBA::WChar * | ( |  | ) | const

| cast (read-only)

ACE_INLINE TAO_WString_Manager & TAO_WString_Manager::operator= | ( | CORBA::WChar * |  | ) |

| assignment from wchar* will not make a copy. The WString_Manager will now own the string.

ACE_INLINE TAO_WString_Manager & TAO_WString_Manager::operator= | ( | const CORBA::WChar * |  | ) |

| assignment from a constant wchar* will make a copy

TAO_WString_Manager & TAO_WString_Manager::operator= | ( | const CORBA::WString_var & |  | ) |

| assignment from var type will make a copy

ACE_INLINE TAO_WString_Manager & TAO_WString_Manager::operator= | ( | const TAO_WString_Manager & |  | ) |

| assignment from another managed type

ACE_INLINE CORBA::WChar *& TAO_WString_Manager::out | ( | void |  | ) |

| for out parameter.

## Member Data Documentation

CORBA::WChar* TAO_WString_Manager::ptr_`[private]`

| The underlying wide string.

The documentation for this class was generated from the following files:

- Managed_Types.h
- Managed_Types.cpp
- Managed_Types.i